import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/settingappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'db_setting_appmenu',
        items:  [
            {
	id: 'FDC4FD25-BAC5-467E-B000-5A118E2A3AFE',
	name: 'menuitem1',
	text: '链接角色',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '链接角色',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-connectdevelop',
	icon: '',
	textcls: '',
	appfunctag: 'Auto27',
	resourcetag: '',
},
        ],
    }];
});

